Enable building with libsoup 3

Review Request #1184 — Created Dec. 13, 2021 and submitted

QuLogic
pidgin/pidgin
default
pidgin
Enable building with libsoup 3

Compiled against 2.42, and testing configuration against a 3.0 wrap. Note that this will not compile, just correctly find the dependency. That will be in followup reviews (or this can wait until those are merged.)

Summary
Enable building with libsoup 3
Description From Last Updated

I assume you're waiting on adding the wrap until we can compile against it?

grimgrim
grim
  1. 
      
  2. I assume you're waiting on adding the wrap until we can compile against it?

    1. That also depends on whether we want to have a subproject for it, or just wait until distros have it. It should always fall back to v2, but I guess I can add it for anyone who wants to test it out (and then I'd wait until it can compile, probably.)

    2. With the automatic fallback we'll have to skip the wrap file for now which is fine.

  3. 
      
grim
  1. Ship It!
  2. Great work, thanks!!

  3. 
      
grim
Review request changed

Status: Closed (submitted)

Loading...